I did some looking and there doesn't seem to be one, unless you know of any. Ideally I want a modal file manager like Yazi: it's keys are highly inspired by vim with H J K L navigation (H & L for traversing directories), a visual mode for selecting files, and lots of commands and customization. The one thing its missing is a grid view to preview image files. None of the orthodox file manager seem to have one, including Krusader which I just looked at. I'd love to finally stop using the mouse for file management and could go with either a TUI or GUI manager.
Edit: I edited the script to take a screenshot asynchronously, get the region with slurp, and use magickto crop it. I also multiply the values from slurp 2x to account for the 200% display scaling I have.
undefined
#!/bin/bash
die(){
notify-send "$1"
exit 1
}
cleanup(){
[[ -n $1 ]] && rm -r "$1"
}
SCR_IMG=$(mktemp -d) || die "failed to take screenshot"
trap "cleanup '$SCR_IMG'" EXIT
spectacle -nbo "$SCR_IMG/scr.tiff" &
region=($(slurp -b "#00000000" -c "#80808080" -w 2 -f "%w %h %x %y"))
for i in "${!region[@]}"
do
region[i]=$(expr ${region[i]} "*" "2")
done
magick "$SCR_IMG/scr.tiff" -crop "${region[0]}x${region[1]}+${region[2]}+${region[3]}" "$SCR_IMG/scr.tiff"
tesseract "$SCR_IMG/scr.tiff" "$SCR_IMG/scr" &> /dev/null || die "failed to extract text"
wl-copy < "$SCR_IMG/scr.txt" || die "failed to copy text to clipboard"
notify-send "Text extracted from image" "$(head -c 100 "$SCR_IMG/scr.txt")" || die "failed to send notification"
exit
Edit: I got answers on the Fedora forum and used this command in my parallels VM and restarted: sudo grubby --update-kernel=ALL --args=video=Virtual-1:3456x2234@120.
I'm trying to get a custom resolution & refresh rate in KDE Wayland. I can get 120hz working on X11 by getting a modeline with cvt 4112 2572 120 and using xrandr commands, but how about Wayland? Perhaps be done with kscreen-doctor?
Something is wrong with Baloo 6.5.0 under KDE Plasma (Arch). I observe an extremely high CPU utilization of the baloofileextractors process. Can anyone confirm this or have other hints?
These past two weeks were big for Wayland accessibility support, as Nicolas Fella did a lot of work to improve support for sticky keys to equal the state they were in on X11. This work is not compl…
Link Actions
Diese Woche in KDE für Ungeduldige. Die deutsche Fassung demnächst auf s3nnet.de
I'm running Linux Mint 21.3 with KDE Plasma 5.27. I wanted to try the new Plasma 6 and followed the instructions on distrobox's site using the fedora rawhide as well as KDE Neon user images. The Desktop runs fine in a Wayland compositor window on my 5.27 X11 session but if I create a . desktop file in /use/share/wayland-sessions as suggested in the blogpost, I am unable to have it launch. It shows me a black screen, then puts me back to lightdm.
I've tried also to include the dbus-run-session command in the.desktop file.
Hello everyone, I am using digiKam and want to selecte image to delete via the dupicate search functionality. How do I select the duplicates I want to remove? the remove duplicate button on the left only deletes all of them. I’d like an option to delete specifik images only. selection one image and pressing delete seem to not move them to trash. right-click and slecting "move to trash" is rather tedious. I am sure there is a better way.
The floodgates opened this week, and a lot of consequential in-progress work was merged: juicy new Plasma 6 features, long-awaited bugfixes, spicy automated testing, and more!!! Plasma 6 General in…
#Plasma6 is coming in February 2024. Support #KDE with an official membership and your name will be recorded in the release of our brand new desktop environment.
This where your donation will make a difference:
Sprints for Developers: You will help finance the in-person meetups that keep our developers energized and focused on making KDE even better.
Travel Costs to Events: You will support our team's presence at important gatherings and conferences, like FOSDEM, FOSSAsia and LinuxCons.
Akademy Event: You will ensure the success of KDE's yearly community event for all members, and foster collaboration and growth.
Running KDE: You will keep the lights on at KDE HQ and our digital home running smoothly.
Paying Support Staff: You will ensure KDE has on hand the experts we need to assist our contributors and users.
This week it was pretty much all Plasma 6 all the time. With the release date four and a half months away, work is kicking into high gear to make sure that we hit our deadline! Plasma 6 General inf…
"With this blog I would like to introduce KRdp, which is a new library implementing the required glue to create a server exposing a KDE Plasma Wayland session over the RDP protocol. It also contains a command-line based server which will allow remote clients to control the current Plasma Wayland session."